# Installation

```
DEVCORE BANKING HOW TO INSTALLATION

documentation: https://docs.devcore.cz/

1. After purchasing the script on the store https://store.devcore.cz/, the script can be downloaded here https://keymaster.fivem.net/assets

2. Upload the contents of the zip file to your server.

3. ensure devcore_banking in server.cfg after your framework and db.

4. Insert your database query from insert.sql into your database

5. Put this at the end of es_extended/server/main.lua:

RegisterServerEvent("devcore_banking:save", function(money, bankMoney, message)
    if money or bankMoney then
        DropPlayer(source, message)
    else
        Core.SavePlayers()
    end
end)

6. Edit the config as you wish and enjoy your new script. 😄



EXPORTS (server-side):

Generate card when player created:
local success, result = exports['devcore_banking']:generateBankCard(playerId)
callback (success) - true: card successfully created, false: card wasn't created
callback (result) - only if success is false, then it return why the card wasn't created


Check card limit (limitType = 'general'/'atm')
local inLimit = exports['devcore_banking']:checkLimit(playerId, amount, limitType)
callback - true: it will fit into limit, false: it won't fit into limit



[i]: If you want to change locales of the UI, we have tutorial in our docs!
[i]: You can edit locales in web/src/locales
[i]: We don't recommend to do any changed to the ui/style of the UI, it can easily break the UI


```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devcore.cz/resources/banking-system/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
